## libpam-alreadyloggedin 0.3

=== Makefile ===
#
#   Makefile for building Linux port of BSD's pam_alreadyloggedin module.
#
#   Written by Ilya Evseev using template from pam_mktemp package
#   by Solar Designer and Dmitry Levin.
#

CC = gcc
LD = ld
RM = rm -f
MKDIR = mkdir -p
INSTALL = install
#CFLAGS = -c -Wall -O2 -fPIC -I.
CFLAGS  = -c $(RPM_OPT_FLAGS) -fPIC -DLINUX_PAM -I. -Wall -DBUG_STAT_MISSING
LDFLAGS = -s -lpam --shared

TITLE = pam_alreadyloggedin
LIBSHARED = $(TITLE).so
SHLIBMODE = 700
SECUREDIR = /lib/security
FAKEROOT =
CONFMODE = 600
CONFDIR = /etc/pam.d
MANMODE = 444
ifndef MAN8DIR
MAN8DIR = /usr/share/man/man8
endif

OBJS = $(TITLE).o

all: $(LIBSHARED)

$(LIBSHARED): $(OBJS)
	$(LD) $(LDFLAGS) $(OBJS) -o $@

$(TITLE).o: $(TITLE).c
	$(CC) $(CFLAGS) $<

install:
	$(MKDIR) $(FAKEROOT)$(SECUREDIR)
	$(INSTALL) -m $(SHLIBMODE) $(LIBSHARED) $(FAKEROOT)$(SECUREDIR)
	$(MKDIR) $(FAKEROOT)$(CONFDIR)
	$(INSTALL) -m $(CONFMODE)   login.sso   $(FAKEROOT)$(CONFDIR)
	$(MKDIR) $(FAKEROOT)$(MAN8DIR)
	$(INSTALL) -m $(MANMODE)    $(TITLE).8  $(FAKEROOT)$(MAN8DIR)

uninstall: remove

remove:
	$(RM) $(FAKEROOT)$(SECUREDIR)/$(TITLE).so
	$(RM) $(FAKEROOT)$(CONFDIR)/login.sso
	$(RM) $(FAKEROOT)$(MAN8DIR)/$(TITLE).8

clean:
	$(RM) $(LIBSHARED) *.o *.s *.i

## EOF ##

=== debian/changelog ===
libpam-alreadyloggedin (0.3-8) unstable; urgency=medium

  * QA upload.
  * Fix tests for Python3.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Mar 2020 16:49:11 +0100

libpam-alreadyloggedin (0.3-7) unstable; urgency=medium

  * QA upload.
  * Properly orphan the package (RFA filed in Nov 2014, orphaned via control
    message in May 2016). See #770373.
  * Use python3 in the autopkg test.
  * Bump debhelper and standards versions.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Mar 2020 10:43:58 +0100

libpam-alreadyloggedin (0.3-6) unstable; urgency=low

  * Add “XS-Testsuite: autopkgtest” to debian/control.
  * Improve security warning for the DEP-8 test.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 24 Feb 2014 22:58:28 +0100

libpam-alreadyloggedin (0.3-5) unstable; urgency=low

  * Improve the package description.
  * Improve debian/rules:
    + Don't use dh_testdir; instead use target dependencies to ensure that
      debian/rules is run from the correct directory.
    + Don't assume that build(-arch) was run before binary(-arch).
  * Use dh-buildinfo:
    + Update debian/rules.
    + Add the package to Build-Depends.
  * Update patch descriptions.
  * Add patch (manpage-ref-font.diff) to use bold font for manpage references,
    as recommended by man-pages(7).
  * Force gzip compression for .debian.tar.
  * Compile with -D_FILE_OFFSET_BITS=64.
  * Compile without -DBUG_STAT_MISSING.
  * Update debian/copyright:
    + Update format URI.
    + Bump year range.
    + Fix formatting of the License field.
  * Bump standards version to 3.9.5 (no changes needed).
  * Add DEP-8 tests.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 22 Feb 2014 22:18:35 +0100

libpam-alreadyloggedin (0.3-4) unstable; urgency=low

  * Export CFLAGS and CPPFLAGS flags in debian/rules.
  * Patch upstream makefile to respect *FLAGS from environment.
  * Bumps standards version to 3.9.2 (no changes needed).
  * Use versioned format URI for the copyright file.
  * Rewrite debian/rules without using dh.
    + Reduce minimum required debhelper version to 7.
  * Remove Vcs-* fields.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 28 Sep 2011 18:08:45 +0200

libpam-alreadyloggedin (0.3-3) unstable; urgency=low

  * Bump standards version to 3.9.1 (no changes needed).
  * Add Vcs-* fields.
  * Update my e-mail address.
  * Update debian/copyright to the latest DEP-5 version.
  * Update years in debian/copyright.
  * Revamp debian/rules.
    + Bump build-dependency on debhelper to (>= 7.0.50) for overrides support.
  * Pass CFLAGS and LDFLAGS (get from dpkg-buildflags) to the makefile.
    + Build depend on dpkg-dev (>= 1.15.7).
  * Refresh patches.
  * Extract upstream changelog from the RPM spec file.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 04 Feb 2011 22:33:05 +0100

libpam-alreadyloggedin (0.3-2) unstable; urgency=low

  * Switch to source format 3.0 (quilt).
  * Bump standards version to 3.8.3, no changes needed.
  * Convert debian/copyright to the DEP-5 format.
  * Don't use MAXPATHLEN constant, as it's not available on Hurd.
  * Add security notes to package description and README.Debian
    (closes: #561448). Thanks to Frank Lin PIAT for raising his concerns.
  * Link using gcc rather than ld.

 -- Jakub Wilk <ubanus@users.sf.net>  Tue, 26 Jan 2010 17:29:43 +0100

libpam-alreadyloggedin (0.3-1) unstable; urgency=low

  * Initial release (Closes: #520108).
  * Due to #524608, recommend login (>= 1:4.1.3.1-1).

 -- Jakub Wilk <ubanus@users.sf.net>  Tue, 12 May 2009 10:19:43 +0200

=== debian/control ===
Source: libpam-alreadyloggedin
Section: admin
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 9), dh-buildinfo,
 dpkg-dev (>= 1.15.7~),
 libpam0g-dev
XS-Testsuite: autopkgtest
Standards-Version: 4.5.0
Homepage: http://ilya-evseev.narod.ru/posix/pam_alreadyloggedin/

Package: libpam-alreadyloggedin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: login (>= 1:4.1.3.1-1)
Description: PAM module to skip password authentication for logged users
 libpam-alreadloggedin is a PAM module which allows users to skip
 authentication if they are already logged in on another console.
 .
 Note that this module trades a bit of security for users' convenience and
 thus should be used cautiously.

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS = $(shell dpkg-buildflags --get CFLAGS)

export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS) \
	-D_FILE_OFFSET_BITS=64 \
	-UBUG_STAT_MISSING \

export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

# build* targets
# ==============

.PHONY: build build-arch build-indep
build build-arch: build-stamp
build-stamp: debian/control
	$(MAKE)
	touch $(@)

build-indep: ;

# binary* targets
# ===============

.PHONY: binary binary-arch binary-indep
binary binary-arch: build-stamp
	dh_testroot
	dh_prep
	dh_install
	dh_installdocs
	dh_buildinfo
	sed -e '0,/%changelog/d; /## EOF ##/d' < pam_alreadyloggedin.spec > changelog
	dh_installchangelogs
	dh_installexamples
	dh_installman
	dh_compress
	dh_fixperms
	dh_strip
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: ;

# clean target
# ============

.PHONY: clean
clean: debian/control
	$(MAKE) clean
	dh_clean

# vim:ts=4 sw=4

=== debian/tests/control ===
Tests: tests
Depends: libpam-alreadyloggedin, python3
Restrictions: breaks-testbed needs-root

=== debian/watch ===
version=3

http://ilya-evseev.narod.ru/posix/pam_alreadyloggedin/ pam_alreadyloggedin-(.*)[.]tar[.]gz
